package type;
public class FuzzyHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(id(),"Fuzzy",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("value",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)),null),new org.omg.CORBA.StructMember("size",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)),null),new org.omg.CORBA.StructMember("type",org.omg.CORBA.ORB.init().create_alias_tc( id(),"FuzzyTypeCode",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3))),null)});
	public FuzzyHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, type.Fuzzy s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static type.Fuzzy extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:type/Fuzzy:1.0";
	}
	public static type.Fuzzy read(org.omg.CORBA.portable.InputStream in)
	{
		type.Fuzzy result = new type.Fuzzy();
		result.value=in.read_long();
		result.size=in.read_long();
		result.type=in.read_long();
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, type.Fuzzy s)
	{
out.write_long(s.value);
out.write_long(s.size);
out.write_long(s.type);
	}
}
